Mailinglist Archive: opensuse-factory (468 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20200405 released!
  • From: Dominique Leuenberger <dimstar@xxxxxxx>
  • Date: Tue, 07 Apr 2020 17:01:43 +0000
  • Message-id: <158627890362.3162.2176875400409657207@go-agent-stagingbot-4>

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20200405

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
ImageMagick (7.0.10.2 -> 7.0.10.3)
Mesa (20.0.2 -> 20.0.4)
Mesa-drivers (20.0.2 -> 20.0.4)
MozillaFirefox (74.0 -> 74.0.1)
autoyast2 (4.2.31 -> 4.2.34)
bash-completion
bluedevil5 (5.18.3 -> 5.18.4.1)
breeze (5.18.3 -> 5.18.4.1)
breeze-gtk (5.18.3 -> 5.18.4.1)
bubblewrap (0.4.0 -> 0.4.1)
ca-certificates-mozilla
ccache (3.7.7 -> 3.7.9)
ceph (15.1.0.1521+gcdf35413a0 -> 15.2.0.108+g8cf4f02b08)
cpio
cryptsetup (2.3.0 -> 2.3.1)
discover (5.18.3 -> 5.18.4.1)
drkonqi5 (5.18.3 -> 5.18.4.1)
dump
elfutils (0.178 -> 0.179)
firewalld (0.7.3 -> 0.7.4)
gnome-weather (3.34.0 -> 3.34.1)
grantlee5
graphviz
graphviz-addons
hfsutils
kactivitymanagerd (5.18.3 -> 5.18.4.1)
kcm_sddm (5.18.3 -> 5.18.4.1)
kde-cli-tools5 (5.18.3 -> 5.18.4.1)
kde-gtk-config5 (5.18.3 -> 5.18.4.1)
kde-user-manager (5.18.3 -> 5.18.4.1)
kdump
kexec-tools
kgamma5 (5.18.3 -> 5.18.4.1)
khotkeys5 (5.18.3 -> 5.18.4.1)
kinfocenter5 (5.18.3 -> 5.18.4.1)
kmenuedit5 (5.18.3 -> 5.18.4.1)
krb5
kscreen5 (5.18.3 -> 5.18.4.1)
kscreenlocker (5.18.3 -> 5.18.4.1)
ksshaskpass5 (5.18.3 -> 5.18.4.1)
ksysguard5 (5.18.3 -> 5.18.4.1)
kwayland-integration (5.18.3 -> 5.18.4.1)
kwin5 (5.18.3 -> 5.18.4.1)
kwrited5 (5.18.3 -> 5.18.4.1)
lensfun (0.3.95.1584325617.48775126 -> 0.3.2)
libkdecoration2 (5.18.3 -> 5.18.4.1)
libkscreen2 (5.18.3 -> 5.18.4.1)
libksysguard5 (5.18.3 -> 5.18.4.1)
libqt5-qtlocation
libqt5-qtwebengine
librdkafka (1.1.0 -> 1.3.0)
libsigc++2 (2.10.2 -> 2.10.3)
libstorage-ng (4.2.71 -> 4.2.72)
libwebp (1.0.3 -> 1.1.0)
linux-glibc-devel (5.5 -> 5.6)
memcached (1.5.17 -> 1.6.2)
milou5 (5.18.3 -> 5.18.4.1)
moonjit
mozilla-nss (3.50 -> 3.51)
mpfr
nano (4.9 -> 4.9.1)
ncurses
open-iscsi
openSUSE-build-key
oxygen5 (5.18.3 -> 5.18.4.1)
perl-Mojolicious (8.35 -> 8.36)
pesign-obs-integration
php7
plasma-browser-integration (5.18.3 -> 5.18.4.1)
plasma-nm5 (5.18.3 -> 5.18.4.1)
plasma5-addons (5.18.3 -> 5.18.4.1)
plasma5-desktop (5.18.3 -> 5.18.4.1)
plasma5-integration (5.18.3 -> 5.18.4.1)
plasma5-openSUSE
plasma5-pa (5.18.3 -> 5.18.4.1)
plasma5-workspace (5.18.3 -> 5.18.4.1)
polkit-kde-agent-5 (5.18.3 -> 5.18.4.1)
poppler (0.84.0 -> 0.86.1)
poppler-qt5 (0.84.0 -> 0.86.1)
powerdevil5 (5.18.3 -> 5.18.4.1)
protobuf-c (1.3.2 -> 1.3.3)
pulseaudio
python-dkimpy (0.9.3 -> 1.0.3)
python-dulwich
python-gunicorn (19.9.0 -> 19.10.0)
python-pywbem (0.15.0 -> 0.16.0)
sbl
setools (4.2.2 -> 4.3.0)
subversion
systemsettings5 (5.18.3 -> 5.18.4.1)
tiff
vlc
wireshark
wpa_supplicant
xdg-desktop-portal-kde (5.18.3 -> 5.18.4.1)
xorg-x11-server (1.20.7+0 -> 1.20.8+0)
yast2 (4.2.78 -> 4.2.80)
yast2-bootloader (4.2.20 -> 4.2.21)
yast2-configuration-management (4.2.2 -> 4.2.4)
yast2-network (4.2.60 -> 4.2.65)
yast2-security (4.2.11 -> 4.2.12)
yast2-storage-ng (4.2.104 -> 4.2.106)

=== Details ===

==== ImageMagick ====
Version update (7.0.10.2 -> 7.0.10.3)
Subpackages: ImageMagick-config-7-SUSE ImageMagick-extra libMagick++-7_Q16HDRI4
libMagickCore-7_Q16HDRI7 libMagickWand-7_Q16HDRI7 perl-PerlMagick

- version update to 7.0.10.3
* The -charcoal option should ignore the alpha channel.
* Fix numerical instability issue when drawing lines
* Improve mono font rendering (reference
https://imagemagick.org/discourse-server/viewtopic.php?f=1&t=37723).

==== Mesa ====
Version update (20.0.2 -> 20.0.4)
Subpackages: Mesa-dri-devel Mesa-libEGL1 Mesa-libGL1 Mesa-libglapi0 libgbm1

- update to Mesa 20.0.4
* emergency release, which reverts a serious SPIR-V regression
in the 20.0.3 release.
- supersedes U_Revert-spirv-Implement-OpCopyObject-and-OpCopyLogica.patch
- U_Revert-spirv-Implement-OpCopyObject-and-OpCopyLogica.patch
* revert severe spirv regression; emergency release will be
available soon ...
- update to Mesa 20.0.3
* bugfix release: fixes all over the tree; mostly AMD (radv,
aco), NIR and Intel (isl, anv)

==== Mesa-drivers ====
Version update (20.0.2 -> 20.0.4)
Subpackages: Mesa-dri Mesa-dri-nouveau Mesa-gallium Mesa-libva libvdpau_nouveau
libvdpau_r300 libvdpau_r600 libvdpau_radeonsi libvulkan_intel libvulkan_radeon
libxatracker2

- update to Mesa 20.0.4
* emergency release, which reverts a serious SPIR-V regression
in the 20.0.3 release.
- supersedes U_Revert-spirv-Implement-OpCopyObject-and-OpCopyLogica.patch
- U_Revert-spirv-Implement-OpCopyObject-and-OpCopyLogica.patch
* revert severe spirv regression; emergency release will be
available soon ...
- update to Mesa 20.0.3
* bugfix release: fixes all over the tree; mostly AMD (radv,
aco), NIR and Intel (isl, anv)

==== MozillaFirefox ====
Version update (74.0 -> 74.0.1)
Subpackages: MozillaFirefox-translations-common

- Mozilla Firefox 74.0.1
MFSA 2020-11 (boo#1168630)
* CVE-2020-6819 (bmo#1620818)
Use-after-free while running the nsDocShell destructor
* CVE-2020-6820 (bmo#1626728)
Use-after-free when handling a ReadableStream

==== autoyast2 ====
Version update (4.2.31 -> 4.2.34)
Subpackages: autoyast2-installation

- Service for init scripts: Try to start "network-online.target"
before starting the AY init scripts in order to get a working
network (bsc#1164105).
- 4.2.34
- Restore some missing icons (related to bsc#1168123, boo#1109310
and boo#1168281).
- 4.2.33
- Fix desktop files updating some icons and groups (related to
bsc#1168123).
- 4.2.32

==== bash-completion ====

- Fix completion excluding directories (boo#1167952).
* bash-completion-fix-missing-directory-completion-with-filename-pattern.patch

==== bluedevil5 ====
Version update (5.18.3 -> 5.18.4.1)
Subpackages: bluedevil5-lang

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- Changes since 5.18.3:
* Remove bold formatting of device name

==== breeze ====
Version update (5.18.3 -> 5.18.4.1)
Subpackages: breeze5-cursors breeze5-decoration breeze5-style
breeze5-style-lang breeze5-wallpapers libbreezecommon5-5

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- Changes since 5.18.3:
* Fix build with Qt 5.15
* Fix Defaults not being set properly in Breeze window decoration settings
for 'Draw a circle around close button'

==== breeze-gtk ====
Version update (5.18.3 -> 5.18.4.1)
Subpackages: gtk2-metatheme-breeze gtk3-metatheme-breeze metatheme-breeze-common

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- No code changes since 5.18.3

==== bubblewrap ====
Version update (0.4.0 -> 0.4.1)

- Update to version 0.4.1:
* retcode: fix return code with syncfd and no event_fd
* Ensure we're always clearing the cap bounding set
* tests: Update output patterns for libcap >= 2.29
* Don't rely on geteuid() to know when to switch back from setuid root
* Don't support --userns2 in setuid mode
* fixes CVE-2020-5291
* fixes bsc#1168291

==== ca-certificates-mozilla ====

- also run update-ca-certificates in %posttrans

==== ccache ====
Version update (3.7.7 -> 3.7.9)

- Update to version 3.7.9:
* Fixed replacing of /dev/null when building as root with hard link mode
enabled and using -o /dev/null.
* Removed incorrect assertion resulting in ?ccache: error: Internal error in
format? when using -fdebug-prefix-map=X= with X equal to $PWD.
* Improved CUDA/NVCC support: Recognize -dc and -x cu options.
* Improved name of temporary file used in NFS-safe unlink.
- Changes for version 3.7.8:
* Use $PWD instead of the real CWD (current working directory) when checking
for CWD in preprocessed output. This fixes a problem when $PWD includes a
symlink part and the user has set hash_dir = false.
* Rewrote the Windows version of the lockfile routines. This should mitigate
several problems with the old implementation.
* If localtime_r fails the epoch time is now logged instead of garbage.
* Improved error message when a boolean environment variable has an invalid
value.
* Improved the regression fix in ccache 3.7.5 related to not passing
compilation-only options to the preprocessor.
* ccache?s PCH test suite now skips running the tests if it detects broken
PCH compiler support.
* Fixed unit test failure on Windows.
* Fixed ?stringop-truncation? build warning on Windows.
* Improved ?x_rename? implementation on Windows.
* Improved removal of temporary file when rewriting absolute paths to
relative in the dependency file.
* Clarified ?include_file_ctime sloppiness? in the Performance section in the
manual.

==== ceph ====
Version update (15.1.0.1521+gcdf35413a0 -> 15.2.0.108+g8cf4f02b08)
Subpackages: librados2 librbd1

- Update to 15.2.0-108-g8cf4f02b08:
+ rebase on tip of upstream "octopus" branch, SHA1
9267cc03e1b1612109dd57cc6ce74c34ed1f1d00
* cephadm: Fix truncated output of "ceph mgr dump"
- Update to 15.2.0-29-g274f7bc2e7:
+ rebase on tip of upstream "octopus" branch, SHA1
a8062613c81ad08815edcdf06e668fcc77270a03
* upstream 15.2.0 (first Octopus stable) release
https://ceph.io/releases/v15-2-0-octopus-released/
- Update to 15.1.1-220-g0f87374dc1:
+ rebase on tip of upstream "octopus" branch, SHA1
243cbd6224921f7f5c2463705c75cb9eafd0db5c
* upstream 15.1.1 (Octopus release candidate) release
https://github.com/ceph/ceph/releases/tag/v15.1.1
+ cephadm: read everything when calling "ceph mgr dump"
- Update to 15.1.0-2160-g310e512e18:
+ rebase on tip of upstream "octopus" branch, SHA1
465f3855623e30f3b4694f3090adbe27c8cd49c3
- Update to 15.1.0-1766-g3d31471523:
+ rebase on tip of upstream master, SHA1
25b8ecc216b02e848f9719ced8c84670de656e78

==== cpio ====
Subpackages: cpio-lang cpio-mt

- starting with GCC 10, the default of '-fcommon' option will
change to '-fno-common'. Because cpio build fails with
'fno-common', add '-fcommon' option to optflags as a temporary
workaround for this problem till it's properly fixed [bsc#1160870]

==== cryptsetup ====
Version update (2.3.0 -> 2.3.1)
Subpackages: libcryptsetup12 libcryptsetup12-32bit libcryptsetup12-hmac

- Split translations to -lang package
- New version to 2.3.1
* Support VeraCrypt 128 bytes passwords.
VeraCrypt now allows passwords of maximal length 128 bytes
(compared to legacy TrueCrypt where it was limited by 64 bytes).
* Strip extra newline from BitLocker recovery keys
There might be a trailing newline added by the text editor when
the recovery passphrase was passed using the --key-file option.
* Detect separate libiconv library.
It should fix compilation issues on distributions with iconv
implemented in a separate library.
* Various fixes and workarounds to build on old Linux distributions.
* Split lines with hexadecimal digest printing for large key-sizes.
* Do not wipe the device with no integrity profile.
With --integrity none we performed useless full device wipe.
* Workaround for dm-integrity kernel table bug.
Some kernels show an invalid dm-integrity mapping table
if superblock contains the "recalculate" bit. This causes
integritysetup to not recognize the dm-integrity device.
Integritysetup now specifies kernel options such a way that
even on unpatched kernels mapping table is correct.
* Print error message if LUKS1 keyslot cannot be processed.
If the crypto backend is missing support for hash algorithms
used in PBKDF2, the error message was not visible.
* Properly align LUKS2 keyslots area on conversion.
If the LUKS1 payload offset (data offset) is not aligned
to 4 KiB boundary, new LUKS2 keyslots area in now aligned properly.
* Validate LUKS2 earlier on conversion to not corrupt the device
if binary keyslots areas metadata are not correct.

==== discover ====
Version update (5.18.3 -> 5.18.4.1)
Subpackages: discover-backend-flatpak discover-backend-fwupd
discover-backend-packagekit discover-lang

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- Changes since 5.18.3:
* fix toplevels test
* fwupd: improve error message
* fwupd: improve cancellable usage
* flatpak: Don't insist on performing tasks after cancellation (kde#419062)
* odrs: Remove seemingly unused cache files
* flatpak: fix crash (kde#419107)
* cmake: Include messages about availability of Flatpak and Fwupd

==== drkonqi5 ====
Version update (5.18.3 -> 5.18.4.1)
Subpackages: drkonqi5-lang

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- Changes since 5.18.3:
* Display PID & signal numbers unlocalized
* remove pointless and arbitrary 4 line frame limit

==== dump ====

- starting with GCC 10, the default of '-fcommon' option will
change to '-fno-common'. Because dump build fails with
'fno-common', add '-fcommon' option to optflags as a temporary
workaround for this problem till it's properly fixed [bsc#1160263]

==== elfutils ====
Version update (0.178 -> 0.179)
Subpackages: elfutils-lang libasm1 libdw1 libelf-devel libelf1

- Update to version 0.179:
debuginfod-client: When DEBUGINFOD_PROGRESS is set and the program doesn't
install its own debuginfod_progressfn_t show download
progress on stderr.
DEBUGINFOD_TIMEOUT is now defined as seconds to get at
least 100K, defaults to 90 seconds.
Default to $XDG_CACHE_HOME/debuginfod_client.
New functions debuginfod_set_user_data,
debuginfod_get_user_data, debuginfod_get_url and
debuginfod_add_http_header.
Support for file:// URLs.
debuginfod: Uses libarchive directly for reading rpm archives.
Support for indexing .deb/.ddeb archives through dpkg-deb
or bsdtar.
Generic archive support through -Z EXT[=CMD]. Which can be
used for example for arch-linux pacman files by using
- Z '.tar.zst=zstdcat'.
Better logging using User-Agent and X-Forwarded-For headers.
More prometheus metrics.
Support for eliding dots or extraneous slashes in path names.
debuginfod-find: Accept /path/names in place of buildid hex.
libelf: Handle PN_XNUM in elf_getphdrnum before shdr 0 is cached
Ensure zlib resource cleanup on failure.
libdwfl: dwfl_linux_kernel_find_elf and dwfl_linux_kernel_report_offline
now find and handle a compressed vmlinuz image.
readelf, elflint: Handle PT_GNU_PROPERTY.
translations: Updated Ukrainian translation.

==== firewalld ====
Version update (0.7.3 -> 0.7.4)
Subpackages: firewalld-lang python3-firewall

- Update to 0.7.4
This is a bug fix only release.
However, it does reintroduce the zone drifting bug as a feature. See #258 and
#441. This behavior is disabled by default.
* improvement: build: add an option to disable building documentation
* Typo in firewall-config(1)
* Fix typo in TFTP service description
* doc: README: add note about language translations
* fix: rich: source/dest only matching with mark action
* feat: AllowZoneDrifting config option
* feat: nftables: support AllowZoneDrifting=yes
* feat: ipXtables: support AllowZoneDrifting=yes
* fix: firewall-offline-cmd: Don't print warning about AllowZoneDrifting
* fix: add logrotate policy
* fix: tests: regenerate testsuite if .../{cli,python}/*.at changes
* doc: direct: add CAVEATS section
* fix: checkIP6: strip leading/trailing square brackets
* fix: nftables: remove square brackets from IPv6 addresses
* fix: ipXtables: remove square brackets from IPv6 addresses
* fix: nftables: zone dispatch with multidimensional ipsets
* fix: ipset: destroy runtime sets on reload/stop
* fix: port: support querying sub ranges
* fix: source_port: support querying sub ranges
* doc: specify accepted characters for object names
* fix: doc: address copy/paste mistakes in short/description
* fix: configure: atlocal: quote variable values
* fix: nftables: allow set intervals with concatenations
* doc: clarify --set-target values "default" vs "reject"

==== gnome-weather ====
Version update (3.34.0 -> 3.34.1)
Subpackages: gnome-shell-search-provider-gnome-weather gnome-weather-lang

- Update to version 3.34.1:
+ Bugs fixed: Always shows weather for wrong location.
+ Updated translations.

==== grantlee5 ====

- Require cmake(Qt5LinguistTools) for building to enable testing of
internationalization
- Use xvfb-run to run all tests, this obsoletes the following patch:
* grantlee-5.2.0-disable-textdocument-tests.patch

==== graphviz ====
Subpackages: graphviz-plugins-core libgraphviz6

- Add also configure option to not build py2 if the python2
build is disabled
- Add python2/python3 split subpkgs in order to allow building
without python2 available

==== graphviz-addons ====
Subpackages: graphviz-gd graphviz-gnome

- Rename python*-graphviz to python*-gv, there is also normal
pypi graphviz package and we clash otherwise and override
each other
- Add also configure option to not build py2 if the python2
build is disabled
- Add python2/python3 split subpkgs in order to allow building
without python2 available
- Auto-identify the correct ruby-version using pkg-config.

==== hfsutils ====

- Define hfs_error_path in hcopy.c, hfssh.c and hfswish.c,
declare it "extern" in copyin.c and copyout.c,
do not declare it in libhfs/hfs.h.
[bsc#1160268, bug1160268-no-common.patch]

==== kactivitymanagerd ====
Version update (5.18.3 -> 5.18.4.1)
Subpackages: kactivitymanagerd-lang

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- No code changes since 5.18.3

==== kcm_sddm ====
Version update (5.18.3 -> 5.18.4.1)
Subpackages: kcm_sddm-lang

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- No code changes since 5.18.3

==== kde-cli-tools5 ====
Version update (5.18.3 -> 5.18.4.1)
Subpackages: kde-cli-tools5-lang

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- No code changes since 5.18.3

==== kde-gtk-config5 ====
Version update (5.18.3 -> 5.18.4.1)
Subpackages: kde-gtk-config5-gtk2 kde-gtk-config5-gtk3

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- Changes since 5.18.3:
* [GTK Config] Construct font style by hand instead of relying on Qt function
(kde#333146)
* [GTK Config] Add XSettingsd as a runtime dependency (kde#418263)

==== kde-user-manager ====
Version update (5.18.3 -> 5.18.4.1)
Subpackages: kde-user-manager-lang

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- No code changes since 5.18.3

==== kdump ====

- kdump-make-sure-that-the-udev-runtime-directory-exists.patch:
Make sure that the udev runtime directory exists (bsc#1164713).

==== kexec-tools ====

- kexec-tools-Remove-duplicated-variable-declarations.patch:
Remove duplicated variable declarations (boo#1160399).
- kexec-tools-s390-Reset-kernel-command-line-on-syscal.patch: s390:
Reset kernel command line on syscall fallback (bsc#1167868).

==== kgamma5 ====
Version update (5.18.3 -> 5.18.4.1)
Subpackages: kgamma5-lang

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- No code changes since 5.18.3

==== khotkeys5 ====
Version update (5.18.3 -> 5.18.4.1)
Subpackages: khotkeys5-lang

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- No code changes since 5.18.3

==== kinfocenter5 ====
Version update (5.18.3 -> 5.18.4.1)
Subpackages: kinfocenter5-lang

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- Changes since 5.18.3:
* only add devices to the smb mount model that are network shares
* skip over supposed network shares that aren't
* Be more accurate in reporting the x86 CPU features solid detects

==== kmenuedit5 ====
Version update (5.18.3 -> 5.18.4.1)
Subpackages: kmenuedit5-lang

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- No code changes since 5.18.3

==== krb5 ====
Subpackages: krb5-32bit krb5-client

- Fix segfault in k5_primary_domain; (bsc#1167620);
- Added patches:
* 0009-Fix-null-dereference-qualifying-short-hostnames.patch

==== kscreen5 ====
Version update (5.18.3 -> 5.18.4.1)
Subpackages: kscreen5-lang kscreen5-plasmoid

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- No code changes since 5.18.3

==== kscreenlocker ====
Version update (5.18.3 -> 5.18.4.1)
Subpackages: kscreenlocker-lang libKScreenLocker5

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- No code changes since 5.18.3

==== ksshaskpass5 ====
Version update (5.18.3 -> 5.18.4.1)
Subpackages: ksshaskpass5-lang

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- No code changes since 5.18.3

==== ksysguard5 ====
Version update (5.18.3 -> 5.18.4.1)
Subpackages: ksysguard5-lang

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- No code changes since 5.18.3

==== kwayland-integration ====
Version update (5.18.3 -> 5.18.4.1)

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- No code changes since 5.18.3

==== kwin5 ====
Version update (5.18.3 -> 5.18.4.1)
Subpackages: kwin5-lang

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- Changes since 5.18.3:
* [kcmkwin/kwindesktop] Fix inability to create more than one row on the
"Virtual Desktops" settings page (kde#419141)
* [wayland] Recursively destroy WindowPixmap objects
* [scenes/opengl] Print a debug message when viewport limits aren't met

==== kwrited5 ====
Version update (5.18.3 -> 5.18.4.1)

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- No code changes since 5.18.3

==== lensfun ====
Version update (0.3.95.1584325617.48775126 -> 0.3.2)

- Update the license tag. The data files are under CC-BY-SA-3.0.
- update lensfun data to 48775126:
- Add Olympus OM-D E-M5 Mark III camera.
- Add Olympus E-M1 Mark III
- Build-Test failed - fix
- commit 3f1289b44afb1b6f2ee22a8e87c7d1fb074be0f1 doubled entry
for canon 15mm fisheye. Removed the one without data
- Add 24-105mm f/3.5-5.6, 15mm f/2.8 Fisheye #1088
- Improve Iphone XS profiles.
- Move X100F from mil-fujifilm.xml
- Move X100F to compact-fujifilm.xml
- Add Iphone XS profiles contributed in #982
- Merge pull request #1044 from EdgarLux/master
- Add DC-S1 and DC-S1R per #1099
- Add DMC-TZ96 per #1094
- Added Canon EOS KISS M camera (it's actually the same as the
Canon EOS M50, just a version of it released for the Japanese
market)
- data:lens: Improve TCA and vignetting for Sony FE 85mm f/1.4 GM
- data:lens: Improve TCA and vignetting for Sony FE 16-35mm f/2.8
GM
- Upload 7471de #1072. Distortion and TCA corrections for Pentax
HD PENTAX-DA 55-300mm f/4.5-6.3 ED PLM WR RE (×1,534).
- Upload 3ed26e #479. Dostortion and TCA, Minolta AF 24-105mm
f/3.5-4.5 (D).
- Upload d4bd55 #478. Distortion and TCA for Minolta AF 17-35mm
f/2.8-4 (D).
- Upload fba583 #477. Minolta lens 50mm F1.4, distortion and TCA.
- Upload 3a647c #1075. NIKKOR Z 24-70mm f2,8 S, distortion and
TCA.
- Upload 75f392 #476. Minolta AF 50mm f/2.8 Macro distortion and
TCA.
- The SM-N950U is the Galaxy Note 8
- Add an alias for another name of the Samsung Galaxy S8
- Upload 34eb2e #1047. Better correction for Leica 12-60mm µ4/3.
- Upload 6180fa #468. Add TCA corrections for Canon PowerShot
A640.
- Upload 52e6be #465. Distortion and vignetting for Canon FD 50mm
f/1.4 SCC.
- Upload 5f1aab #454. Distortion and TCA corrections for Sony FE
100-400 on full frame.
- Upload cb3f38. New camera Canon Powershot SX50 HS with fixed
lens. Distortion and TCA corrections for the lens. String
corrections for SX60 HS for better automatic recognition.
- Distortion & TCA data for the Panasonic Leica DG 10-25mm f/1.7
- Add Sony E mount for Meike 35mm f/1.7
- Added camera entry for Canon EOS EOS Rebel T6s
- Revert lensfun to 0.3.2. Git snapshots cause
build and runtime issues in different packages (boo#1168150)
- Add patches back:
* lensfun-respect-DESTDIR.patch
* lensfun-test-database.patch
* 0060-Various-CMake-patches-from-the-mailing-list.patch
* lensfun_fix_memory_leak.patch

==== libkdecoration2 ====
Version update (5.18.3 -> 5.18.4.1)
Subpackages: libkdecorations2-5 libkdecorations2-5-lang libkdecorations2private7

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- No code changes since 5.18.3

==== libkscreen2 ====
Version update (5.18.3 -> 5.18.4.1)
Subpackages: libKF5Screen7 libkscreen2-plugin

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- No code changes since 5.18.3

==== libksysguard5 ====
Version update (5.18.3 -> 5.18.4.1)
Subpackages: libksysguard5-helper libksysguard5-lang

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- Changes since 5.18.3:
* Fix build with Qt 5.15

==== libqt5-qtlocation ====
Subpackages: libQt5Location5 libQt5Positioning5 libQt5PositioningQuick5

- Add patch to fix the build with GCC10 (boo#1158510):
* 0001-Fix-build-with-GCC10.patch
- Use -ffat-lto-objects (boo#1158510)
- Drop obsolete conditions
- Reorder the spec file.

==== libqt5-qtwebengine ====

- Add patch to fix build with GCC 10 (boo#1158516):
* some-more-includes-gcc10.patch

==== librdkafka ====
Version update (1.1.0 -> 1.3.0)

- Add v1.3.0 which includes a number of properties and bugfixes over 1.1.0

==== libsigc++2 ====
Version update (2.10.2 -> 2.10.3)

- Update to version 2.10.3:
+ Add Meson build, alongside the existing Autotools build.
+ Improve MSVC builds on Windows.
+ meson.build: Check if .git is a directory or file.
+ docs/reference/meson.build: Check if perl is found.
+ README: Describe building with Meson and Autotools.
+ Tests: Make test_track_obj.cc compile with clang++.

==== libstorage-ng ====
Version update (4.2.71 -> 4.2.72)
Subpackages: libstorage-ng-lang libstorage-ng-ruby libstorage-ng1

- merge gh#openSUSE/libstorage-ng#718
- allow control over environment variables
- query number of partition slots from parted
- respect number of partition slots reported by parted for GPT
(bsc#1161783)
- run travis with "--privileged" to avoid permissions error
- 4.2.72

==== libwebp ====
Version update (1.0.3 -> 1.1.0)
Subpackages: libwebp7 libwebpdemux2 libwebpmux3

- Update to version 1.1.0:
* API changes:
- libwebp:
WebPMalloc
- extras:
WebPUnmultiplyARGB
* alpha decode fix
* toolchain updates and bug fixes

==== linux-glibc-devel ====
Version update (5.5 -> 5.6)

- Update to kernel headers 5.6

==== memcached ====
Version update (1.5.17 -> 1.6.2)

- disable extstore also on ppc(64)
- apply patch from https://github.com/memcached/memcached/pull/634
fix building with LTO and also building with -fno-common.
(634.patch)
- apply patch from https://github.com/memcached/memcached/pull/635
to fix crashes we saw during the testsuite (635.patch)
- disable extstore on s390 for now as there are known bugs on that
platform
- limit tls support to 15 and above
- disable lto until the 2 settings structs are resolved
- update to version 1.6.2 (boo# 1167522) CVE-2020-10931
https://github.com/memcached/memcached/wiki/ReleaseNotes162
https://github.com/memcached/memcached/wiki/ReleaseNotes161
https://github.com/memcached/memcached/wiki/ReleaseNotes160
https://github.com/memcached/memcached/wiki/ReleaseNotes1522
https://github.com/memcached/memcached/wiki/ReleaseNotes1521
https://github.com/memcached/memcached/wiki/ReleaseNotes1520
https://github.com/memcached/memcached/wiki/ReleaseNotes1519
https://github.com/memcached/memcached/wiki/ReleaseNotes1518
- dropped all patches after reviewing with upstream:
memcached-1.4.5.dif
memcached-autofoo.patch
memcached-use-endian_h.patch
- enable TLS support (new BR: openssl-devel perl-IO-Socket-SSL
perl-Net-SSLeay)

==== milou5 ====
Version update (5.18.3 -> 5.18.4.1)
Subpackages: milou5-lang

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- No code changes since 5.18.3

==== moonjit ====

- Add moonjit105-string_gsub.patch to fix gsub method, which breaks
other packages (namely neovim).

==== mozilla-nss ====
Version update (3.50 -> 3.51)
Subpackages: libfreebl3 libfreebl3-hmac libsoftokn3 libsoftokn3-hmac
mozilla-nss-certs mozilla-nss-tools

- Update previous patch nss-kremlin-ppc64le.patch
slightly modified to support also ppc64 (BE) versus initial
https://github.com/FStarLang/kremlin/issues/166
- Add patch nss-kremlin-ppc64le.patch to fix ppc and s390x builds
- update to NSS 3.51
* Updated DTLS 1.3 implementation to Draft-34. (bmo#1608892)
* Correct swapped PKCS11 values of CKM_AES_CMAC and
CKM_AES_CMAC_GENERAL (bmo#1611209)
* Complete integration of Wycheproof ECDH test cases (bmo#1612259)
* Check if PPC __has_include(<sys/auxv.h>) (bmo#1614183)
* Fix a compilation error for ?getFIPSEnv? "defined but not used"
(bmo#1614786)
* Send DTLS version numbers in DTLS 1.3 supported_versions extension
to avoid an incompatibility. (bmo#1615208)
* SECU_ReadDERFromFile calls strstr on a string that isn't guaranteed
to be null-terminated (bmo#1538980)
* Correct a warning for comparison of integers of different signs:
'int' and 'unsigned long' in security/nss/lib/freebl/ecl/ecp_25519.c:88
(bmo#1561337)
* Add test for mp_int clamping (bmo#1609751)
* Don't attempt to read the fips_enabled flag on the machine unless
NSS was built with FIPS enabled (bmo#1582169)
* Fix a null pointer dereference in BLAKE2B_Update (bmo#1431940)
* Fix compiler warning in secsign.c (bmo#1617387)
* Fix a OpenBSD/arm64 compilation error: unused variable 'getauxval'
(bmo#1618400)
* Fix a crash on unaligned CMACContext.aes.keySchedule when using
AES-NI intrinsics (bmo#1610687)

==== mpfr ====
Subpackages: libmpfr6 mpfr-devel

- Add cummulative patch mpfr-4.0.2-p6.patch fixing various bugs.

==== nano ====
Version update (4.9 -> 4.9.1)
Subpackages: nano-lang

- GNU nano 4.9.1
* fix cursor getting misplaced when undoing line cuts
* fix filtering of the whole buffer to a new buffer

==== ncurses ====
Subpackages: libncurses6 ncurses-devel ncurses-utils tack terminfo
terminfo-base terminfo-screen

- Add ncurses patch 20200321
+ improve configure-checks to reduce warnings about unused variables.
+ improve description of error-returns in waddch and waddnstr manual
pages (prompted by patch by Benno Schulenberg).
+ add test/move_field.c to demonstrate move_field(), and a stub for
a corresponding demo of dup_field().
- Add ncurses patch 20200314
+ add history note to curs_scanw.3x for <stdarg.h> and <varargs.h>
+ add history note to curs_printw.3x for <stdarg.h> and <varargs.h>
+ add portability note to ncurses.3x regarding <stdarg.h>

==== open-iscsi ====
Subpackages: iscsiuio libopeniscsiusr0_2_0

- Update with two upstream commits:
* Fix issue where "iscsi-iname -p" core dumps. (found upstream)
* Fix iscsi.service so it handles restarts better (bsc#1163499)
* Add Wants=remote-fs-pre.target for sequencing. (bsc#1158536)
updating:
* open-iscsi-SUSE-latest.diff.bz2

==== openSUSE-build-key ====

- mark the opensuse-container-key and the suse-container-key
for openSUSE:Containers and SUSE:Containers space.
(same as the build keys for SLE15 and openSUSE respectively.)
- Replace the old security@xxxxxxx email comm key by the new, move
the old one to the oldkey. (bsc#1166334)

==== oxygen5 ====
Version update (5.18.3 -> 5.18.4.1)

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- No code changes since 5.18.3

==== perl-Mojolicious ====
Version update (8.35 -> 8.36)

- updated to 8.36
see /usr/share/doc/packages/perl-Mojolicious/Changes
8.36 2020-03-31
- Added handler attribute to Test::Mojo.
- Added test method to Test::Mojo.
- Improved Test::Mojo to allow for extensions to be tested more easily.
- Improved request_id attribute in Mojo::Message::Request to be a little more
unique. (mst)

==== pesign-obs-integration ====

- pesign-sign-s390x-kernel.patch: Sign also the non-PE (e.g. s390x)
kernels with just kernel-sign-file (bsc#1163524)

==== php7 ====
Subpackages: apache2-mod_php7 php7-ctype php7-dom php7-gd php7-gettext
php7-iconv php7-json php7-mbstring php7-mysql php7-pdo php7-sqlite
php7-tokenizer php7-xmlreader php7-xmlwriter

- remove Berkeley DB Database support [jsc#SLE-12210]

==== plasma-browser-integration ====
Version update (5.18.3 -> 5.18.4.1)
Subpackages: plasma-browser-integration-lang

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- No code changes since 5.18.3

==== plasma-nm5 ====
Version update (5.18.3 -> 5.18.4.1)
Subpackages: plasma-nm5-lang plasma-nm5-openconnect plasma-nm5-openvpn
plasma-nm5-pptp plasma-nm5-vpnc

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- Changes since 5.18.3:
* Openconnect: make sure the UI fits into the password dialog (kde#403480)

==== plasma5-addons ====
Version update (5.18.3 -> 5.18.4.1)
Subpackages: plasma5-addons-lang

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- No code changes since 5.18.3

==== plasma5-desktop ====
Version update (5.18.3 -> 5.18.4.1)
Subpackages: plasma5-desktop-emojier

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- Changes since 5.18.3:
* Enable wrapping of error messages which use KMessageWidget
* KCM/touchpad: Disables the middleEmulation when not supported
* KCM/Mouse: fix the middleEmulation checkbox status
* [Colors KCM] Also save colors when active scheme was edited
* [Cursor Theme KCM] Use standardized pointer and help cursor for preview
* [Icons KCM] Floor delegate height
* Make panel edit mode tooltip not unexpectedly disappear under certain
circumstances (kde#413736)

==== plasma5-integration ====
Version update (5.18.3 -> 5.18.4.1)
Subpackages: plasma5-integration-plugin plasma5-integration-plugin-lang

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- No code changes since 5.18.3

==== plasma5-openSUSE ====
Subpackages: plasma5-defaults-openSUSE plasma5-theme-openSUSE
plasma5-workspace-branding-openSUSE sddm-theme-openSUSE

- Update to 5.18.4.1

==== plasma5-pa ====
Version update (5.18.3 -> 5.18.4.1)
Subpackages: plasma5-pa-lang

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- No code changes since 5.18.3

==== plasma5-workspace ====
Version update (5.18.3 -> 5.18.4.1)
Subpackages: gmenudbusmenuproxy plasma5-session plasma5-session-wayland
plasma5-workspace-lang plasma5-workspace-libs xembedsniproxy

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- Changes since 5.18.3:
* [runners/recentdocuments] disable executables or .desktop files (kde#419310)
* [applets/digital-clock] Fix inappropriately high QtQuick version
* [applets/systemtray] Clear item from shown/hidden list when disabling entry
(kde#419197)
* [applets/digital-clock] Fix date sizing in vertical panel (kde#417852)
* [VirtualDesktopInfo] Connect to rowsChanged singal (kde#408783)
* Fix systemtray configuration

==== polkit-kde-agent-5 ====
Version update (5.18.3 -> 5.18.4.1)
Subpackages: polkit-kde-agent-5-lang

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- No code changes since 5.18.3

==== poppler ====
Version update (0.84.0 -> 0.86.1)
Subpackages: libpoppler-cpp0 libpoppler-glib8 poppler-tools

- Add pkgconfig(poppler-data) BuildRequires: New versions of
poppler-data actually have a .pc file, and we check for it during
build, so lets add this optional dependency.
- Enable building of gtk-docs again.
- Add missing devel package requires (bsc#1153146).
- Update to version 0.86.1:
+ core:
- Fix regression in Browse Link handling.
- Internal code improvements.
- Bump poppler_sover following upstream changes.
- Update to version 0.86.0:
+ core:
- Fix link content exfiltration attack.
- Splash: Implement gouraudTriangleShadedFill for some non
parametrized shadings.
- Fix case unsensitive search for Old Hungarian, Warang Citi,
Medefaidrin and Adlam.
- Internal code improvements.
+ glib:
- Automatic handle of page's cropbox on annots.
- Fix memory leak if poppler_document_new_from_file fails.
- Minor speed optimization on poppler_page_get_annot_mapping.
+ utils:
- pdfdetach: add 'savefile' option.
- pdftoppm/pdftocairo: Fix more odd/even mismatch.
+ qt5: Fix loading from iodevice.
- Changes from version 0.85.0:
+ core:
- Fix case unsensitive search for Deseret and Osage.
- Fix crash in unicodeToAscii7.
- CairoOutputDev: make initialisation thread-safe.
- Fix crash on broken files.
- Internal code improvements.
+ qt5:
- Fix FormField::name encoding.
- Accept UTF-16 uiNames for form fields.
- Fix search for "complex" characters.
- Allow to load document from QIODevice.
+ utils:
- pdftoppm/pdftocairo: Fix -e/-o printing the wrong pages.
- pdftohtml: Fix issue with the font size sometimes being huge.
+ glib: make the frontend initialization thread safe.
- Bump poppler_sover following upstream changes.

==== poppler-qt5 ====
Version update (0.84.0 -> 0.86.1)

- Add pkgconfig(poppler-data) BuildRequires: New versions of
poppler-data actually have a .pc file, and we check for it during
build, so lets add this optional dependency.
- Enable building of gtk-docs again.
- Add missing devel package requires (bsc#1153146).
- Update to version 0.86.1:
+ core:
- Fix regression in Browse Link handling.
- Internal code improvements.
- Bump poppler_sover following upstream changes.
- Update to version 0.86.0:
+ core:
- Fix link content exfiltration attack.
- Splash: Implement gouraudTriangleShadedFill for some non
parametrized shadings.
- Fix case unsensitive search for Old Hungarian, Warang Citi,
Medefaidrin and Adlam.
- Internal code improvements.
+ glib:
- Automatic handle of page's cropbox on annots.
- Fix memory leak if poppler_document_new_from_file fails.
- Minor speed optimization on poppler_page_get_annot_mapping.
+ utils:
- pdfdetach: add 'savefile' option.
- pdftoppm/pdftocairo: Fix more odd/even mismatch.
+ qt5: Fix loading from iodevice.
- Changes from version 0.85.0:
+ core:
- Fix case unsensitive search for Deseret and Osage.
- Fix crash in unicodeToAscii7.
- CairoOutputDev: make initialisation thread-safe.
- Fix crash on broken files.
- Internal code improvements.
+ qt5:
- Fix FormField::name encoding.
- Accept UTF-16 uiNames for form fields.
- Fix search for "complex" characters.
- Allow to load document from QIODevice.
+ utils:
- pdftoppm/pdftocairo: Fix -e/-o printing the wrong pages.
- pdftohtml: Fix issue with the font size sometimes being huge.
+ glib: make the frontend initialization thread safe.
- Bump poppler_sover following upstream changes.

==== powerdevil5 ====
Version update (5.18.3 -> 5.18.4.1)
Subpackages: powerdevil5-lang

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- No code changes since 5.18.3

==== protobuf-c ====
Version update (1.3.2 -> 1.3.3)

- Update to new upstream release 1.3.3
* Fixes cmake endiness check

==== pulseaudio ====
Subpackages: libpulse-mainloop-glib0 libpulse0 pulseaudio-bash-completion
pulseaudio-gdm-hooks pulseaudio-lang pulseaudio-module-bluetooth
pulseaudio-module-gsettings pulseaudio-module-x11 pulseaudio-module-zeroconf
pulseaudio-utils pulseaudio-zsh-completion

- Control systemd user socket activation in setup-pulseaudio script
too (boo#1168393)

==== python-dkimpy ====
Version update (0.9.3 -> 1.0.3)

- update to 1.0.3
* dknewkey: On posix operating systems set file permissions to 600 for
ed25519 private key files (as is already done for RSA) (LP: #1857827)
* Set minimum dnspython version to 1.16 because previous versions can not
support the timeout parameter (LP: #1856546)
* Follow CNAMES when looking up key records when using DNS (pydns)
* Add support for RFC 8460 tlsrpt DKIM signature processing (LP: #1847020)
* Add async support with aiodns for DKIM verification (ARC not supported)
* Add new timeout parameter to enable DNS lookup timeouts to be adjusted
* Add new DKIM.present function to allow applications to test if a DKIM
signature is present without doing validation (LP: #1851141)
* Support signature verification with RSAPublicKey formatted keys
since, although rare, they are RFC 6376 specified (LP: #1851862)
* Drop usage of pymilter Milter.dns in dnsplug since it doesn't support
having a timeout passed to it
* Catch binascii related key format errors (LP: #1854477)
* Ignore unknown service types in key records (LP: #1847020)
* Add LICENSE to MANIFEST.in so it is included in the tarball
- Drop shipped LICENSE file
- Reapplied patch no-optional.patch

==== python-dulwich ====

- Do not remove the tests from distdir as other pkgs can import
them

==== python-gunicorn ====
Version update (19.9.0 -> 19.10.0)

- update to 19.10.0
- last with py2 support
* unblock select loop during reload of a sync worker
* security fix: http desync attack
* handle `wsgi.input_terminated`
* added support for str and bytes in unix socket addresses
* fixed `max_requests` setting
* headers values are now encoded as LATN1, not ASCII
* fixed `InotifyReloadeder`: handle `module.__file__` is None
* fixed compatibility with tornado 6
* fixed root logging
* Prevent removalof unix sockets from `reuse_port`
* Clear tornado ioloop before os.fork
* Miscellaneous fixes and improvement for linting using Pylints

==== python-pywbem ====
Version update (0.15.0 -> 0.16.0)

- Update to 0.16.0:
- Silenced the MOFCompiler class for verbose=False.
- Fixed that the MOFCompiler could be created with handle=None to
work against a local repository. It was documented that way,
but failed with AttributeError
- Fixed the error that the MOF compilation of a class could fail but
the error was not surfaced. This only happened when the MOF compiler
was invoked against a WBEM server, when the class already existed,
and when the ModifyClass operation that was attempted in
this case, failed.
- Fixed that the CIM-XML payload in log entries was spread over
multiple lines. The payload is now escaped as a single-line
Python string.
- Fixed handling of Unicode string in ca_certs parm of
WBEMConnection on py2
- removed upstreamed patches:
- silenced_MOFCompiler.patch
- unittest2-just-say-no.patch
- replace-yamlordereddictloader-w-yamlloader.patch

==== sbl ====

- Add -fcommon in order to fix boo#1160415.

==== setools ====
Version update (4.2.2 -> 4.3.0)

- Update to the upstream version 4.3.0:
* Revised sediff method for TE rules. This drastically reduced memory
and run time.
* Added infiniband context support to seinfo, sediff, and apol.
* Added apol configuration for location of Qt assistant.
* Fixed sediff issue where properties header would display when not
requested.
* Fixed sediff issue with type_transition file name comparison.
* Fixed permission map socket sendto information flow direction.
* Added methods to TypeAttribute class to make it a complete Python
collection.
* Genfscon now will look up classes rather than using fixed values
which were dropped from libsepol
- Dropped python3.8-compat.patch

==== subversion ====
Subpackages: libsvn_auth_gnome_keyring-1-0 libsvn_auth_kwallet-1-0
subversion-bash-completion subversion-perl

- Fix boo#1167467 by gcc10-do-not-optimize-get_externals_to_pin.patch.

==== systemsettings5 ====
Version update (5.18.3 -> 5.18.4.1)
Subpackages: systemsettings5-lang

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- No code changes since 5.18.3

==== tiff ====
Subpackages: libtiff5 libtiff5-32bit

- Drop webp support as it would introduce build cycle
- Enable zstd and webp support

==== vlc ====
Subpackages: libvlc5 libvlccore9 vlc-codec-gstreamer vlc-lang vlc-noX vlc-qt
vlc-vdpau

- Make package build reproducible:
* Add reproducible.patch to normalize created tarballs
* Create %ghost file with fixed size

==== wireshark ====
Subpackages: libwireshark13 libwiretap10 libwsutil11 wireshark-ui-qt

- Remove dependency on brotli, only the library is needed.

==== wpa_supplicant ====
Subpackages: wpa_supplicant-gui

- With v2.9 fi.epitest.hostap.WPASupplicant.service is obsolete (bsc#1167331)
- Change wpa_supplicant.service to ensure wpa_supplicant gets started before
network. Fix WLAN config on boot with wicked. (boo#1166933)

==== xdg-desktop-portal-kde ====
Version update (5.18.3 -> 5.18.4.1)
Subpackages: xdg-desktop-portal-kde-lang

- Update to 5.18.4.1:
* Version fixed
- Update to 5.18.4
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.18.4.php
- Changes since 5.18.3:
* FileChooser: make all opened files automatically writable
* Screensharing: code cleanup
* Avoid copying buffer twice (kde#419209)
* Implement Keyboard Keycode support as suggested in the spec

==== xorg-x11-server ====
Version update (1.20.7+0 -> 1.20.8+0)
Subpackages: xorg-x11-server-Xvfb xorg-x11-server-extra xorg-x11-server-sdk
xorg-x11-server-wayland

- Update to version 1.20.8+0:
* Revert "dri2: Don't make reference to noClientException"
* dix: Check for NULL spriteInfo in GetPairedDevice
* os: Ignore dying client in ResetCurrentRequest
* modesetting: remove unnecessary error message, fix zaphod leases
* Fix building with `-fno-common`
* xwayland: clear pixmaps after creation in rootless mode
* glamor: Fix a compiler warning since the recent OOM fixes.
* Restrict 1x1 pixmap filling optimization to GXcopy
* Add xf86OSInputThreadInit to stub os-support as well
* Fix old-style definition warning for xf86OSInputThreadInit()
* xwayland/glamor-gbm: Handle DRM_FORMAT_MOD_INVALID gracefully
* configure: Define GLAMOR_HAS_EGL_QUERY_DRIVER when available
* modesetting: Disable atomic support by default
* modesetting: Explicitly #include "mi.h"
* xfree86/modes: Bail from xf86RotateRedisplay if pScreen->root is NULL
* xwayland: Split up xwl_screen_post_damage into two phases
* xwayland: Call glamor_block_handler from xwl_screen_post_damage
* xwayland: Add xwl_window_create_frame_callback helper
* xwayland: Use single frame callback for Present flips and normal updates
* xwayland: Use frame callbacks for Present vblank events
* xwayland: Delete all frame_callback_list nodes in xwl_unrealize_window
* glamor: Propagate FBO allocation failure for picture to texture upload
* glamor: Error out on out-of-memory when allocating PBO for FBO access
* glamor: Propagate glamor_prepare_access failures in copy helpers
* glamor: Fallback to system memory for RW PBO buffer allocation
- supersedes u_fno-common.patch

==== yast2 ====
Version update (4.2.78 -> 4.2.80)
Subpackages: yast2-logs

- Modify the way YaST detects whether systemd is running or not
(bsc#1168307)
- 4.2.80
- Reread network interfaces configuration after writing it avoiding
wrong values when reopen network configuration dialog during an
installation (bsc#1166778)
- 4.2.79

==== yast2-bootloader ====
Version update (4.2.20 -> 4.2.21)

- limit s390 secure boot to SCSI disks (bsc#1168165)
- 4.2.21

==== yast2-configuration-management ====
Version update (4.2.2 -> 4.2.4)

- Do not force to use formulas during the 1st stage (bsc#1168080).
- 4.2.4
- Remove the AutoYaST User Interface menu entry for the module
because, for the time being, it is not supported (bsc#1159434).
- 4.2.3

==== yast2-network ====
Version update (4.2.60 -> 4.2.65)

- AutoYaST: Do not try to activate network devices that are already
active in S390 systems (bsc#1163149). Related to jsc#SLE-7396.
- AutoYaST: Allow to use spaces or colons to separate channel IDs
in the "chanids" element.
- 4.2.65
- Refresh the current system cached network configuration with the
one written avoiding inconsistencies during installation
(bsc#1162987)
- 4.2.64
- AutoYaST: do not crash when defined dns section whitout hostname
(bsc#1166953)
- AutoYaST: handle the dhcp_hostname option in the dns section
correctly
- 4.2.63
- Do a reload of configured interfaces when writing the
configuration during a ssh or vnc installation (bsc#1166287)
- 4.2.62
- Store ip forwarding set during installation to target system
(bsc#1159295)
- 4.2.61

==== yast2-security ====
Version update (4.2.11 -> 4.2.12)

- Apply sysctl changes to the running system when the YaST sysctl
configuration file is modified (bsc#1167234)
- 4.2.12

==== yast2-storage-ng ====
Version update (4.2.104 -> 4.2.106)

- Partitioner: fixed a crash when some devices are modified both
before and after reprobing the hardware (bsc#1168325).
- 4.1.106
- Never add the _netdev option to fstab for the root mount point
(bsc#1165937).
- 4.2.105


< Previous Next >
Follow Ups